POSTapi.synup.com/api/v4/users/update
Update a User
This API updates specific parameters associated with a user.
Behavior:
- Allows modifying user attributes such as name, email, or role.
- It supports updating permissions and access settings.
- Ensures only editable fields can be modified.
Requires an API key. Send it as
Authorization: API <your-key> — see Getting started.Parameters
Body
| Name | Type | Required | Description |
|---|---|---|---|
input | object | optional | |
input.id | string | required | Base64 encoded user ID |
input.roleId | string | required | Base64 encoded role ID |
input.firstName | string | required | User's first name |
input.lastName | string | optional | User's last name |
input.email | string | optional | User's email address |
input.phone | string | optional | User's phone number |
input.archived | boolean | optional | User's archive status |
input.directCustomer | boolean | optional | Whether the user is a direct customer |
Request
Request
curl -X POST 'https://api.synup.com/api/v4/users/update' \
-H 'Authorization: API YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"input": {
"id": "VXNlcjo5OTY0",
"email": "pttqa1+4186@gmail.com",
"roleId": "Q3VzdG9tUm9sZToxNzc4Mw==",
"firstName": "pttqa1+4187",
"lastName": "",
"phone": "",
"archived": false,
"directCustomer": true
}
}'const res = await fetch('https://api.synup.com/api/v4/users/update', {
method: 'POST',
headers: {
Authorization: 'API YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"input": {
"id": "VXNlcjo5OTY0",
"email": "pttqa1+4186@gmail.com",
"roleId": "Q3VzdG9tUm9sZToxNzc4Mw==",
"firstName": "pttqa1+4187",
"lastName": "",
"phone": "",
"archived": false,
"directCustomer": true
}
}),
});
const data = await res.json();import requests
res = requests.post(
"https://api.synup.com/api/v4/users/update",
headers={
"Authorization": "API YOUR_API_KEY",
"Content-Type": "application/json",
},
json={
"input": {
"id": "VXNlcjo5OTY0",
"email": "pttqa1+4186@gmail.com",
"roleId": "Q3VzdG9tUm9sZToxNzc4Mw==",
"firstName": "pttqa1+4187",
"lastName": "",
"phone": "",
"archived": False,
"directCustomer": True
}
},
)
data = res.json()req, _ := http.NewRequest("POST", "https://api.synup.com/api/v4/users/update", bytes.NewBufferString(payload))
req.Header.Set("Authorization", "API YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)Responses
| Status | Description |
|---|---|
200 | Successfully updated user |
Example response (generated from the schema)
{
"data": {
"updateUser": {
"success": true,
"errors": [
"string"
],
"user": {
"id": "string",
"createdAt": "2026-01-01T00:00:00Z",
"directCustomer": true,
"email": "name@example.com",
"firstName": "string",
"lastName": "string",
"inviteStatus": "RESEND_INVITE",
"customRole": {
"id": "string",
"name": "string"
},
"accountId": "string",
"preferences": {
"locale": "string",
"dateFormat": "string",
"timezone": "string",
"columnOrder": "string"
}
}
}
}
}Response body
| Name | Type | Required | Description |
|---|---|---|---|
data | object | optional | |
data.updateUser | object | optional | |
data.updateUser.success | boolean | optional | |
data.updateUser.errors | array of string | optional | |
data.updateUser.user | object | optional | |
data.updateUser.user.id | string | optional | Base64 encoded user ID |
data.updateUser.user.createdAt | string | optional | |
data.updateUser.user.directCustomer | boolean | optional | |
data.updateUser.user.email | string | optional | |
data.updateUser.user.firstName | string | optional | |
data.updateUser.user.lastName | string | optional | |
data.updateUser.user.inviteStatus | string | optional | RESEND_INVITEINVITE_SENT |
data.updateUser.user.customRole | object | optional | |
data.updateUser.user.customRole.id | string | optional | |
data.updateUser.user.customRole.name | string | optional | |
data.updateUser.user.accountId | string | optional | |
data.updateUser.user.preferences | object | optional | |
data.updateUser.user.preferences.locale | string | optional | |
data.updateUser.user.preferences.dateFormat | string | optional | |
data.updateUser.user.preferences.timezone | string | optional | |
data.updateUser.user.preferences.columnOrder | string | optional |